#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'berita.home'}</a></li>
	<li class="active">&{'berita.list'}</li>
</ol>

<div class="content">
#{alert /}
   <table class="table table-sm" id="tblBerita">
            <thead>
            <tr>
                <th width="10px" class="text-center"><input type="checkbox"class="checkall"/></th>
                <th>&{'berita.judul'}</th>
                <th width="200px">&{'berita.tanggalupdate'}</th>
            </tr>
            </thead>
            <tbody>
            </tbody>
   </table>
   #{form @admin.BeritaCtr.hapus(jenisSubtag.toString().toLowerCase()), method:'POST'}
   #{addButton action:@admin.BeritaCtr.panitia_edit() /}
   #{newDeleteButton /}
#{/form}
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">
    var beritaView = #{jsRoute @admin.BeritaCtr.panitia_edit(':id') /};
    var table=$("#tblBerita").DataTable({            
        columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }, {
                targets : 1,
                render : function(data, type, row, meta) {
                    var ids = row[0];
                    var judul = row[1];
                    return "<a href='"+beritaView.url({id:ids})+"'>"+judul+"</a>";
                }
            }] ,          
        select: 'multi',   
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.berita_panitia()}"
    });
    $('#tblBerita_filter input').unbind();
    $('#tblBerita_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
     $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkBerita').val(res[0]));
             }
         });
     });
</script>
#{/set}


